Description

Update the parsing logic of detailed solution in the Colab to handle the following variations/issues:
Ref:

37642&teamName RK- A&channeIName General&createdTlme 1743497071502

1. Strip "#$%" for cases where we have "#$%<unknown pattern>". So, if you find '#$%<known key><something1>#$%Conclusion:
<something2>', the value for <known key> should be '<something1>Conclusion: <something2>' instead of '<something1>".

2. Sometime the key for sub steps will be provided as ' Substep x.y '
3. Remove the occurrences of ' Substeps for step x: ' from main step.

History

#1 - 04/01/2025 01:13 PM - Shubham Boke

- Description updated

#2 - 04/01/2025 02:06 PM - Ram Kordale

- Description updated

#3 - 04/02/2025 06:13 AM - Ram Kordale

- Priority changed from Normal to Urgent

04/03/2025
